baseurl = "https://onec.me"
DefaultContentLanguage = "en"
title = "onec.me"
theme = "beautifulhugo"
pygmentsStyle = "doom-one"
pygmentsUseClasses = false
pygmentsCodeFences = true
pygmentsCodefencesGuessSyntax = true

enableGitInfo = true

useHLJS = false

[Services]
  [Services.Disqus]
    # Shortname = "XXX"
  [Services.googleAnalytics]
    # id = "XXX"
[permalinks]
  posts = "/:title"

[Params]
  homeTitle = "Hello." # Set a different text for the header on the home page
  subtitle = "I am a software engineer with one C in my name, based in Maine. I work with the computer equivalent of duct tape."
  mainSections = ["post","posts"]
  #logo = "img/avatar-icon.png" # Expecting square dimensions
  favicon = "img/favicon.ico"
  dateFormat = "January 2, 2006"
  commit = false
  rss = true
  comments = false
  readingTime = true
  wordCount = true
  useHLJS = true
  socialShare = true
  delayDisqus = true
  showRelatedPosts = true
  disclaimerText = "The opinions expressed herein are my own personal opinions and do not represent my employer’s view in any way."

#[[Params.bigimg]]
#  src = "img/triangle.jpg"
#  desc = "Triangle"
#[[Params.bigimg]]
#  src = "img/sphere.jpg"
#  desc = "Sphere"
#  # position: see values of CSS background-position.
#  position = "center top"
#[[Params.bigimg]]
#  src = "img/hexagon.jpg"
#  desc = "Hexagon"

[Params.author]
  # Set only your "username" for default hosts and full URLs otherwise (e.g., "https://MyGitLab.org/username")
  name = "Colin"
  website = "onec.me"
  email = "anything-but-this-user@onec.me"
  github = "https://github.com/powellc/"
  linkedin = "https://linkedin.com/in/colinpowell/"
  mastodon = "https://mastodon.sdf.org/@secstate"
  strava = "secstate"
  lastfm = "powellc"

[[menu.main]]
    name = "Blog"
    url = ""
    weight = 1

[[menu.main]]
    name = "About"
    url = "about"
    weight = 3

[[menu.main]]
    name = "Tags"
    url = "tags"
    weight = 3

[[menu.main]]
    identifier = "org"
    name = "Org"
    weight = 2

[[menu.main]]
    parent = "org"
    name = "Books"
    url = "org/books"
    weight = 1

[[menu.main]]
    parent = "org"
    name = "projects"
    url = "org/projects"
    weight = 2

[[menu.main]]
    parent = "org"
    name = "docs"
    url = "org/docs"
    weight = 3
